Bug 1720001 (CVE-2019-11703) - CVE-2019-11703 libical: Heap buffer over read in icalparser.c parser_get_next_char
Summary: CVE-2019-11703 libical: Heap buffer over read in icalparser.c parser_get_next...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11703
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1720056 1720422 1720053 1720054 1720055 1720057
Blocks: 1720012
TreeView+ depends on / blocked
 
Reported: 2019-06-12 22:02 UTC by Pedro Sampaio
Modified: 2019-09-29 15:15 UTC (History)
16 users (show)

Fixed In Version: Thunderbird 60.7.1, libical 2.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-27 03:34:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1623 None None None 2019-06-27 09:18:41 UTC
Red Hat Product Errata RHSA-2019:1624 None None None 2019-06-27 10:12:28 UTC
Red Hat Product Errata RHSA-2019:1626 None None None 2019-06-27 10:15:00 UTC

Description Pedro Sampaio 2019-06-12 22:02:16 UTC
A flaw was found in Mozilla Thunderbird. A Heap-based buffer over read in parser_get_next_char function in icalparser.c might lead to application crash. 

Upstream bug:

https://bugzilla.mozilla.org/show_bug.cgi?id=1553820

Comment 6 Milan Crha 2019-06-13 08:39:00 UTC
Is this for Thunderbird only, or the libical package is also affected? I would verify that myself, but I do not have access to any related bug report mentioned here, neither to the upstream Mozilla bug.

Comment 7 Doran Moppert 2019-06-14 00:46:54 UTC
External References:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-17/

Comment 8 Doran Moppert 2019-06-14 00:46:56 UTC
Mitigation:

Thunderbird can be configured to use icaljs instead of libical by setting `calendar.icaljs = true` in preferences, mitigating this vulnerability.

Comment 9 Doran Moppert 2019-06-14 00:51:58 UTC
Created thunderbird tracking bugs for this issue:

Affects: fedora-all [bug 1720422]

Comment 10 Marian Rehak 2019-06-14 11:51:28 UTC
References:

https://www.openwall.com/lists/oss-security/2019/06/13/2

Comment 11 Doran Moppert 2019-06-20 07:02:28 UTC
This function reads from a string provided by its caller.  Prior to upstream commit 9a6b85328 (pre v2.0.0, 2015-08-11), the way it handled quotes made it possible to read out of bounds of the string provided.  No pointer-based writes are possible.

Comment 12 errata-xmlrpc 2019-06-27 09:18:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1623 https://access.redhat.com/errata/RHSA-2019:1623

Comment 13 errata-xmlrpc 2019-06-27 10:12:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1624 https://access.redhat.com/errata/RHSA-2019:1624

Comment 14 errata-xmlrpc 2019-06-27 10:14:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1626 https://access.redhat.com/errata/RHSA-2019:1626


Note You need to log in before you can comment on or make changes to this bug.